## com.google.javascript.jscomp
Enum VariableRenamingPolicy

    java.lang.Object
      java.lang.Enum<VariableRenamingPolicy>
          com.google.javascript.jscomp.VariableRenamingPolicy

All Implemented Interfaces:
  Serializable, Comparable<VariableRenamingPolicy>

    public enum VariableRenamingPolicy

extends Enum<VariableRenamingPolicy>

Policies to determine which variables should be renamed.

Enum Constant Summary
`ALL` Rename all variables and functions unless they are exported or externed.
`LOCAL` Rename local variables only.
`OFF` Rename no variables.
`UNSPECIFIED`

Method Summary
`static VariableRenamingPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VariableRenamingPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OFF

    public static final VariableRenamingPolicy OFF

  Rename no variables.

### LOCAL

    public static final VariableRenamingPolicy LOCAL

  Rename local variables only.

### ALL

    public static final VariableRenamingPolicy ALL

  Rename all variables and functions unless they are exported or externed.

### UNSPECIFIED

    public static final VariableRenamingPolicy UNSPECIFIED

Method Detail

### values

    public static VariableRenamingPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VariableRenamingPolicy c : VariableRenamingPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VariableRenamingPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null